"use client";

import { useEffect } from "react";

let hasPlayed = false;

const consoleMessage = [
  "%cبِسْمِ اللَّهِ الرَّحْمٰنِ الرَّحِيمِ",
  "",
  "وَالْعَصْرِۙ اِنَّ الْاِنْسَانَ لَف۪ي خُسْرٍۙ",
  "اِلَّا الَّذ۪ينَ اٰمَنُوا وَعَمِلُوا الصَّالِحَاتِ",
  "وَتَوَاصَوْا بِالْحَقِّ وَتَوَاصَوْا بِالصَّبْرِ",
  "",
  "Rahmân ve Rahîm olan Allah’ın adıyla.",
  "",
  "Asra yemîn olsun ki,",
  "İnsan gerçekten ziyândadır.",
  "Ancak iman edip sâlih ameller yapanlar, birbirlerine hakkı tavsiye",
  "edenler ve birbirlerine sabretmeyi öğütleyenler müstesnâ!",
].join("\n");

export function ConsoleAsr() {
  useEffect(() => {
    if (hasPlayed) return;
    hasPlayed = true;

    window.setTimeout(() => {
      console.log(consoleMessage, "font-size:16px");
    }, 250);
  }, []);

  return null;
}
